/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 *
 * Copyright (C) 2001-2003 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre, S. Chassande-Barrioz
 */
package org.objectweb.medor.eval.prefetch.lib;

import org.objectweb.medor.eval.prefetch.api.PrefetchBuffer;
import org.objectweb.medor.api.MedorException;
import org.objectweb.medor.tuple.api.TupleCollection;
import org.objectweb.medor.tuple.api.Tuple;
import org.objectweb.util.monolog.api.Logger;

/**
 * This class represents dummy PrefetchBuffers in the case the transactional
 * context is null.
 * @author  A. Lefebvre
 */
public class DummyPrefetchBuffer implements PrefetchBuffer {

	public void addPrefetchTuple() throws MedorException {
	}

	public void setTupleCollection(TupleCollection tc) throws MedorException {
	}

	public void close() throws MedorException {
	}

	public boolean isClosed() {
		return false;
	}

	public Tuple getTuple(Object index) throws MedorException {
		return null;
	}
}
