/**
 * MEDOR: Middleware Enabling Distributed Object Requests
 *
 * Copyright (C) 2001-2003 France Telecom R&D
 * Contact: alexandre.lefebvre@rd.francetelecom.com
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Initial developers: M. Alia, A. Lefebvre
 */

package org.objectweb.medor.type.lib;

import org.objectweb.jorm.type.api.PType;
import org.objectweb.jorm.type.lib.PTypeSpacePAAH;
import org.objectweb.medor.expression.api.TypingException;

/**
 * This class extends the PTypeSpacePAAH of JORM for taking into account the
 * PType of Medor, and namely the PType of tuples.
 */
public class PTypeSpaceMedor extends PTypeSpacePAAH {

    public final static PType NAMING_CONTEXT = new QType(
        QType.TYPECODE_NAMING_CONTEXT,
        "PNamingContext",
        "org.objectweb.jorm.naming.api.PNamingContext",
        "PTypeSpaceMedor.NAMING_CONTEXT");

    public final static PType PNAME = new QType(
        QType.TYPECODE_PNAME,
        "PName",
        "org.objectweb.jorm.naming.api.PName",
        "PTypeSpaceMedor.PNAME");

	public final static PType OBJECT = new QType(
        QType.TYPECODE_OBJECT,
        "Object",
        "java.lang.Object",
        "PTypeSpaceMedor.OBJECT");

	public final static PType COLLECTION = new QType(
        QType.TYPECODE_COLLECTION,
        "Collection",
        "java.util.Collection",
        "PTypeSpaceMedor.COLLECTION");


	public PTypeSpaceMedor() {
		super();
	}

}
